Bug 583864 - Conduct a review of JON 2.4 for api compatibility with 2.3.1
Summary: Conduct a review of JON 2.4 for api compatibility with 2.3.1
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: No Component
Version: unspecified
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Sudhir D
URL:
Whiteboard:
Keywords:
: 577994 (view as bug list)
Depends On:
Blocks: jon24-features
TreeView+ depends on / blocked
 
Reported: 2010-04-20 03:48 UTC by Charles Crouch
Modified: 2015-02-01 23:26 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-12 16:51:53 UTC


Attachments (Terms of Use)

Description Charles Crouch 2010-04-20 03:48:12 UTC
We need to identify differences, if any, in API's between JON 2.3.1 and 2.4. 

Initial api's to investigate

Agent side plugin API: i.e. are peoples plugins going to have to change
Remote Server side API: i.e. are peoples remote scripts going to have to change
...

While we need to actually identify the changes api's individually, one test that could give us some indication of how much has changed would be taking the plugin packs that comes with 2.3.1 and swapping them with the ones in a 2.4 server prior to install.

Comment 1 Lukas Krejci 2010-05-12 17:44:39 UTC
Added some documentation at http://rhq-project.org/display/RHQ/API+Changes+Between+JOPR+2.3.1+And+RHQ+3.0.0

Comment 2 Charles Crouch 2010-05-18 21:28:01 UTC
Lukas
From looking at the wiki link it appears 2.3.1plugins should be compatible with JON2.4? Can you please test 2.4 with those plugins from a 2.3.1 install

Comment 3 Charles Crouch 2010-05-18 21:28:23 UTC
*** Bug 577994 has been marked as a duplicate of this bug. ***

Comment 4 Lukas Krejci 2010-05-20 12:11:47 UTC
A basic smoke test of the 2.3.1 plugins under 2.4 agent was successful. Autodiscovery works, operations can be triggered, configuration changed, metrics seem to be collected.

Steps to reproduce:

1) unzip 2.4 distribution and 2.3.1 distribution
2) delete all the plugin jars from $JON_24_ROOT/jbossas/server/default/deploy/rhq.ear.rej/rhq-downloads/rhq-plugins
3) copy all the plugins from $JON_231_ROOT/jbossas/server/default/deploy/rhq.ear.rej/rhq-downloads/rhq-plugins to $JON_24_ROOT/...
4) copy all the optional plugins from different 2.3.1 plugin packs as well
5) start 2.4 and configure it with an empty database
6) start the 2.4 agent
7) try to do normal work with the GUI - discovery, operation, configuration, monitoring, alerts, ... all should work.

Obviously, because the old plugins are used with this approach, the discovered resources are going to have the names and "singletonness" as they used to in 2.3.1.

Comment 5 Sudhir D 2010-06-13 15:47:51 UTC
I tried the above steps mentioned in comment#4 and everything seem to work normal.

Monitoring, alerts etc all intact. 

Marking this bug as verified.

Comment 6 Corey Welton 2010-08-12 16:51:53 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.